iPhone This device is not eligible for the requested build (ios 7 beta 4) (iphone 5)

Discussion in 'iOS 7' started by gordonyune2012, Aug 15, 2013.

  1. gordonyune2012 macrumors newbie

    Joined:
    Aug 15, 2013
    #1
    I have updated to ios 7 beta 4 before, with my iphone 5, and it went fine that time. But recently I updated to ios 7 beta 5 and found out the battery drain problem, thus I downgraded the phone back to ios 6.
    Now I would like to update to ios 7 beta 4 again, I tried to update with the same ipsw file i used to update my phone few weeks ago, but this message "This device is not eligible for the requested build" popped up :(
    I have searched for many threads and videos concerning the problem, but so far what I got from those did not contribute well to the problem.
    P.S. I don't have the "gs.apple.com" on my hosts file
    My connection is fine
    I have tried to turn off the firewall , but doesnt work for the update.
    ANYONE PLEASE HELP?? I've backed up some important doc. to iCloud during my ios 7 beta 4 usage >.< and now i cant get back those doc. :(
    THANKS!
     
  2. C DM macrumors Westmere

    Joined:
    Oct 17, 2011
  3. illyb2000 macrumors 6502

    Joined:
    Jun 25, 2012
    #3
    Yeah this happened to me and downloading beta 5 was fine: I would download beta 6 as you say in case 5 gives the same message.
     
  4. gordonyune2012 thread starter macrumors newbie

    Joined:
    Aug 15, 2013
  5. kre62 macrumors 68000

    Joined:
    Jul 12, 2010
    #5
    Apple isn't signing beta 4 anymore so no one can restore to it. That's your answer.
     
  6. jafingi macrumors 65816

    jafingi

    Joined:
    Apr 3, 2009
    Location:
    Denmark
    #6
    You have to install beta 6. Apple is not stigning beta 4 anymore. And why would you not install the latest beta with more bugfixes?
     
  7. Paddle1 macrumors 68030

    Joined:
    May 1, 2013
    #7
    Beta 5 and 6 are exactly the same except for an iTunes bug fix....
     
  8. shutter69 macrumors newbie

    Joined:
    Aug 22, 2013
    #8
    were you able to find a way to bypass the requested not build?
     
  9. charlituna macrumors G3

    charlituna

    Joined:
    Jun 11, 2008
    Location:
    Los Angeles, CA
    #9
    Do you have iTunes 11.1 or 11.2

    I had the same issue but still had 11.0.x on my computer. I upgraded iTunes and no issues
     

Share This Page